const Server = require('scuttle-testbot')

module.exports = function TestBot (opts = {}) {
  const stack = Server
    .use(require('../')) // ssb-hyper-blobs

  opts.hyperBlobs = opts.hyperBlobs || {}
  opts.hyperBlobs.port = 45000 + Math.floor(Math.random() * 2e3)
  opts.hyperBlobs.storeOpts = Object.assign(
    // { bootstrap: [] },
    // TODO - ideally we could put in no bootstrap DHT or a local mock one...
    opts.hyperBlobs.storeOpts || {}
  )

  return stack(opts)
}
